Name:          telepathy-qt4
Version:       0.5.14
Release:       %mkrel 3
Summary:       Base classes for use in connection managers, and proxy classes
License:       LGPLv2+
Group:         Networking/Instant messaging
Url:           http://telepathy.freedesktop.org/wiki/Telepathy-Qt4
Source0:       http://telepathy.freedesktop.org/releases/telepathy-qt4/%name-%version.tar.gz
Patch0:        telepathy-qt4-0.5.14-fix-linking.patch
BuildRequires: qt4-devel
BuildRequires: libtelepathy-farsight-devel >= 0.0.4
BuildRequires: libtelepathy-glib-devel >= 0.11.11
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: gstreamer0.10-devel
BuildRequires: python python-dbus
BuildRequires: cmake

%description
Qt4 libraries for use in Telepathy clients and connection managers

#--------------------------------------------------------------------

%define libtelepathy_qt4_farsight_major 1
%define libtelepathy_qt4_farsight %mklibname telepathy-qt4-farsight %{libtelepathy_qt4_farsight_major}

%package -n %libtelepathy_qt4_farsight
Summary: Core Decibel library
Group: System/Libraries

%description -n %libtelepathy_qt4_farsight
Core Decibel library.

%files -n %libtelepathy_qt4_farsight
%defattr(-,root,root)
%{_libdir}/libtelepathy-qt4-farsight.so.%{libtelepathy_qt4_farsight_major}*

#--------------------------------------------------------------------

%define libtelepathy_qt4_major 1
%define libtelepathy_qt4 %mklibname telepathy-qt4_ %{libtelepathy_qt4_major}

%package -n %libtelepathy_qt4
Summary: Core Decibel library
Group: System/Libraries

%description -n %libtelepathy_qt4
Core Decibel library.

%files -n %libtelepathy_qt4
%defattr(-,root,root)
%{_libdir}/libtelepathy-qt4.so.%{libtelepathy_qt4_major}*

#--------------------------------------------------------------------

%define develname %mklibname telepathy-qt4 -d

%package -n %{develname}
Summary: %{name} development files
Group: Development/Other
Provides: libtelepathy-qt-devel = %{version}
Provides: %name-devel = %{version}
Requires: %libtelepathy_qt4 = %{version}
Requires: %libtelepathy_qt4_farsight = %{version}

%description -n %{develname}
Telepathy-qt development files.

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

#--------------------------------------------------------------------

%prep
%setup -q  -n %name-%version
%patch0 -p1

%build
%cmake
%make

%install
rm -fr %buildroot

%makeinstall_std -C build

%clean
rm -rf %buildroot


%changelog
* Tue Apr 19 2011 dmorgan <dmorgan> 0.5.14-3.mga1
+ Revision: 88805
- Add %%name-devel as provide

* Mon Apr 18 2011 ahmad <ahmad> 0.5.14-2.mga1
+ Revision: 87559
- Fix License
- Add BR python-dbus
- Add patch to fix linking (and drop building with _disable_ld_no_undefined)
- Libify the devel package

* Fri Apr 08 2011 dmorgan <dmorgan> 0.5.14-1.mga1
+ Revision: 82081
- Add cmake as buildrequires
- imported package telepathy-qt4


* Thu Sep 16 2010 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2011.0
+ Revision: 578956
- update url
- drop some obsoletes, need review at a later time
- New version 0.3.9

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - import telepathy-qt4


